Subject: r8169 64-bit DMA support

From: Robert Hancock <[email-masked]>
Date: Sun, 20 Sep 2009 17:38:20 -0600

The r8169 driver currently disables 64-bit DMA support by default (needs 
a module parameter to turn it on). This is a bit sub-optimal these days 
with most new systems using more than 4GB of RAM. It was this patch back 
in 2004 that disabled it:

http://git.kernel.org/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=commitdiff;h=c525e7cf69bfe18a1bf362558be5398e0b925d07

It's not clear (from the mails I've read) exactly what was going on in 
the case that caused this to be added. Normally these days the PCI 
subsystem is supposed to detect that DAC isn't usable on a machine and 
refuse setting 64-bit DMA masks, it's not the driver's responsibility to 
handle this. I'm guessing that when this change was made that detection 
didn't exist though.

Thoughts on whether this default can be changed now? Or at least for the 
PCI Express devices, which really should have nothing special about 
64-bit addressing..